# Uses of Interface
org.bukkit.entity.HumanEntity

Packages that use HumanEntity
Package
Description
com.destroystokyo.paper.event.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.loot
Classes relevant to loot table manipulation and generation.

## Uses of HumanEntity in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return types with arguments of type HumanEntity
Modifier and Type
Method
Description
`@NotNull List<HumanEntity>`
SkeletonHorseTrapEvent.`getEligibleHumans()`
Constructor parameters in com.destroystokyo.paper.event.entity with type arguments of type HumanEntity
Modifier
Constructor
Description
``
`SkeletonHorseTrapEvent(@NotNull SkeletonHorse horse, @NotNull List<HumanEntity> eligibleHumans)`

## Uses of HumanEntity in org.bukkit.entity

Subinterfaces of HumanEntity in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Player`
Represents a player, connected or not

## Uses of HumanEntity in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return HumanEntity
Modifier and Type
Method
Description
`@NotNull HumanEntity`
EntityExhaustionEvent.`getEntity()`
`@NotNull HumanEntity`
FoodLevelChangeEvent.`getEntity()`
`@Nullable HumanEntity`
EntityEnterLoveModeEvent.`getHumanEntity()`
Gets the Human Entity that caused the animal to enter love mode.
Constructors in org.bukkit.event.entity with parameters of type HumanEntity
Modifier
Constructor
Description
``
`EntityEnterLoveModeEvent(@NotNull Animals animalInLove, @Nullable HumanEntity humanEntity, int ticksInLove)`
``
`EntityExhaustionEvent(@NotNull HumanEntity who, @NotNull EntityExhaustionEvent.ExhaustionReason exhaustionReason, float exhaustion)`
``
`FoodLevelChangeEvent(@NotNull HumanEntity what, int level)`
``
`FoodLevelChangeEvent(@NotNull HumanEntity what, int level, @Nullable ItemStack item)`

## Uses of HumanEntity in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return HumanEntity
Modifier and Type
Method
Description
`final @NotNull HumanEntity`
InventoryCloseEvent.`getPlayer()`
Returns the player involved in this event
`final @NotNull HumanEntity`
InventoryOpenEvent.`getPlayer()`
Returns the player involved in this event
`@NotNull HumanEntity`
InventoryInteractEvent.`getWhoClicked()`
Gets the player who performed the click.
Methods in org.bukkit.event.inventory that return types with arguments of type HumanEntity
Modifier and Type
Method
Description
`@NotNull List<HumanEntity>`
InventoryEvent.`getViewers()`
Gets the list of players viewing the primary (upper) inventory involved in this event

## Uses of HumanEntity in org.bukkit.inventory

Methods in org.bukkit.inventory that return HumanEntity
Modifier and Type
Method
Description
`@Nullable HumanEntity`
PlayerInventory.`getHolder()`
`abstract @NotNull HumanEntity`
InventoryView.`getPlayer()`
Get the player viewing.
`@Nullable HumanEntity`
Merchant.`getTrader()`
Gets the player this merchant is trading with, or null if it is not currently trading.
Methods in org.bukkit.inventory that return types with arguments of type HumanEntity
Modifier and Type
Method
Description
`@NotNull List<HumanEntity>`
Inventory.`getViewers()`
Gets a list of players viewing the inventory.

## Uses of HumanEntity in org.bukkit.loot

Methods in org.bukkit.loot that return HumanEntity
Modifier and Type
Method
Description
`@Nullable HumanEntity`
LootContext.`getKiller()`
Get the `HumanEntity` who killed the `LootContext.getLootedEntity()`.
Methods in org.bukkit.loot with parameters of type HumanEntity
Modifier and Type
Method
Description
`@NotNull LootContext.Builder`
LootContext.Builder.`killer(@Nullable HumanEntity killer)`
Set the `HumanEntity` that killed `LootContext.getLootedEntity()`.